Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2015 22:51:38 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Thu, 19 Nov 2015 21:31:15 +0100
> Cc: John Wiegley <[email-masked]>, [email-masked], Richard Stallman <[email-masked]>, 
> 	[email-masked]
> 
> On Thu, Nov 19, 2015 at 9:25 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > Feel free to fix those, and thanks.
> 
> I'm assuming you don't mean the "discards 'const' qualifier" warnings, but the
> others... ;-)

I mean whatever your itch is.

I routinely examine these warnings, usually when I add some
significant new code, and each time I find the warnings to be false
alarms.  The problem with fixing them is that either you need to
sprinkle ugly casts everywhere, or you start changing declarations,
and that spreads warnings like cancer through all the related code,
and you end up changing too much, or hit a brick wall and use casts
again.  So I normally fix low-hanging fruit, and leave the rest for a
rainy day.

But that's me.  Any changes that bring these warnings down are
welcome, if you have no itches that need scratching more urgently.